// Define the pin where the buzzer is connected
const int buzzerPin = 1;

void setup() {
  // Initialize the buzzer pin as an output
  pinMode(buzzerPin, OUTPUT);
}

void loop() {
  // Turn the buzzer on
  digitalWrite(buzzerPin, HIGH);
  delay(1000); // Delay for 1 second (1000 milliseconds)

  // Turn the buzzer off
  digitalWrite(buzzerPin, LOW);
  delay(1000); // Delay for 1 second (1000 milliseconds)

   for(int dutyCycle = 0; dutyCycle <= 255; dutyCycle+=5){
    // Increase the sound volume gradually
    analogWrite(buzzerPin, dutyCycle);
    delay(20);
  }

  for(int dutyCycle = 255; dutyCycle >= 0; dutyCycle-=5){
    // Decrease the sound volume gradually
    analogWrite(buzzerPin, dutyCycle);
    delay(20);
  }

  // Pause without sound
  analogWrite(buzzerPin, 0);
  delay(1000);
}
